Bug 1921954 - Subscription-related constraints in ResolutionFailed events are misleading
Summary: Subscription-related constraints in ResolutionFailed events are misleading
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Ben Luddy
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 23:29 UTC by Ben Luddy
Modified: 2021-02-24 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1990 0 None closed Bug 1921954: Clarify subscription constraint strings in resolution failures. 2021-02-15 13:54:26 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:30 UTC

Internal Links: 1913822

Description Ben Luddy 2021-01-28 23:29:25 UTC
Description of problem:

If no available operators are found that match the spec of a Subscription, the constraints listed in the ResolutionFailed event are misleading.

For example:

> constraints not satisfiable: ibm-appconnect is mandatory, ibm-appconnect has a dependency without any candidates to satisfy it

means

> The namespace contains a subscription for package "ibm-appconnect" and no operators were found in the catalog that match the criteria in the subscription's spec.


Version-Release number of selected component (if applicable): 4.6+


How reproducible: Always


Steps to Reproduce:
1. Create a subscription for a package that doesn't exist.
2. Look for the ResolutionFailed event in the default namespace:
$ kubectl get event --sort-by=.metadata.creationTimestamp | grep ResolutionFailed | tail -1

Actual results: see above.


Expected results, approximately:

X is mandatory -> a subscription to package X exists in the namespace
X has a dependency without any candidates to satisfy it -> no operators were found matching the criteria of the subscription

Comment 1 Kevin Rizza 2021-02-01 15:27:23 UTC
Marking for upcoming sprint and removing from 4.7.0 release list. This will be addressed in a future sprint.

Comment 9 errata-xmlrpc 2021-02-24 15:57:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.